BentPlateGeometrySolverAddLeg Method (ConnectiveGeometry, LineSegment, Contour, LineSegment) |
Appends a polygon section to this ConnectiveGeometry, using the specified connection points and maximal radius for the cylindrical connection.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public ConnectiveGeometry AddLeg( ConnectiveGeometry geometry, LineSegment segment1, Contour polygon, LineSegment segment2 )
Parameters
- geometry
- Type: Tekla.Structures.ModelConnectiveGeometry
ConnectiveGeometry used to create a connection with. - segment1
- Type: Tekla.Structures.Geometry3dLineSegment
the two connection points on this instance geometry - polygon
- Type: Tekla.Structures.ModelContour
the polygonal contour to add to this geometry - segment2
- Type: Tekla.Structures.Geometry3dLineSegment
the two connection points on polygon geometry
Return Value
Type: ConnectiveGeometryModified ConnectiveGeometry if command succeeded or geometry otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not create or modify ConnectiveGeometry instance. |
ArgumentException | Thrown when geometry is a stand-alone bend geometry, meaning that the first GeometrySection is a BendSurfaceNode. |
See Also